package net.alviano.menu;

import static org.apache.commons.lang3.Validate.*;

public final class MenuDescription {
	private final String value;
	
	public MenuDescription(String value) {
		this.value = notBlank(value);
		inclusiveBetween(1, 1000, value.length());
		matchesPattern(value, "[0-9A-Za-z ;.,_-]*");
	}
	
	public String value() {
		return value;
	}
	
	@Override
	public String toString() {
		return value;
	}
	
	@Override
	public boolean equals(Object o) {
		if(o == null) return false;
		if(o.getClass() != MenuDescription.class) return false;
		MenuDescription k = (MenuDescription) o;
		return this.value.equals(k.value);
	}
}
