package net.alviano.menu;

import static org.apache.commons.lang3.Validate.*;

public abstract class MenuEntryAdapter implements MenuEntry {
	private final MenuKey key;
	private final MenuDescription description;
	
	public MenuEntryAdapter(String key, String description) {
		notNull(key);
		notNull(description);
		this.key = new MenuKey(key);
		this.description = new MenuDescription(description);
	}
	
	@Override
	final public MenuKey key() {
		return key;
	}

	@Override
	final public MenuDescription description() {
		return description;
	}

	@Override
	public boolean isExit() {
		return false;
	}

}
