package net.alviano.menu;

import static org.apache.commons.lang3.Validate.*;

public final class MenuKey {
	private final String value;
	
	public MenuKey(String value) {
		this.value = notBlank(value);
		inclusiveBetween(1, 10, value.length());
		matchesPattern(value, "[0-9A-Za-z_-]*");
	}
	
	public String value() {
		return value;
	}
	
	@Override
	public String toString() {
		return value;
	}
	
	@Override
	public boolean equals(Object o) {
		if(o == null) return false;
		if(o.getClass() != MenuKey.class) return false;
		MenuKey k = (MenuKey) o;
		return this.value.equals(k.value);
	}
	
	@Override
	public int hashCode() {
		return value.hashCode();
	}
}
